package sdk

type commonRes struct {
	Code  int `json:"code"`
	Message string `json:"message"`
}

type GoodsListRes struct {
	commonRes
	Data  GoodsList `json:"data"`
}

type GoodsList struct {
	GoodsId           uint    `json:"goods_id"`            // 商品ID
	GoodsName         string  `json:"goods_name"`          // 商品名称
	CategoryId        uint    `json:"category_id"`         // 商品类别ID
	DefaultImage      string  `json:"default_image"`       // 默认商品图片
	JsPrice           int     `json:"js_price"`            // 商家平台结算价格
	Price             int     `json:"price"`               // 现价
	ScPrice           int     `json:"sc_price"`            // 市场价
	GoodsNowStock     int     `json:"stock"`               // 当前库存
	AddTime           int     `json:"add_time"`            // 添加时间
	IsOn              int     `json:"is_on"`               //
	SellerId          int     `json:"seller_id"`           // 添加用户ID
	UpOnsale          int     `json:"up_onsale"`           // 申请上线 1:申请2:驳回
	IsOnsale          int     `json:"is_onsale"`           // 是否上架
	ProducingArea     string  `json:"producing_area"`      // 商品产地
	Weight            float64 `json:"weight"`              // 商品重量
	ProfitRate        float64 `json:"profit_rate"`         // 商品利润率
	AftersaleTime     int     `json:"aftersale_time"`      // 售后时长
	GoodsBrand        string  `json:"goods_brand"`         // 商品品牌
	Unit              string  `json:"unit"`                // 单位, 如: 个/件/包
	StoreName         string  `json:"store_name"`          // 店铺名称
	LastPerateContent string  `json:"last_perate_content"` // 最后审核内容
	ChannelName       string  `json:"channel_name"`
	ChannelId         int     `json:"channel_id"`
	OperateTime       int     `json:"operate_time"`
	PushStatus        int     `json:"push_status"`
}

type BrandListRes struct {
	commonRes
	Data    struct {
		Count int    `json:"count"`
		Data  []BrandListInfo `json:"data"`
	} `json:"data"`
}
type BrandListInfo struct {
	BrandAuth         string `json:"brand_auth"`
	BrandAuthTime     int    `json:"brand_auth_time"`
	BrandBusinessAuth string `json:"brand_business_auth"`
	BrandCn           string `json:"brand_cn"`
	BrandEn           string `json:"brand_en"`
	BrandLogo         string `json:"brand_logo"`
	BrandNumber       string `json:"brand_number"`
	BrandRange        int    `json:"brand_range"`
	BrandRegisterCert string `json:"brand_register_cert"`
	BrandType         int    `json:"brand_type"`
	CreatedTime       int    `json:"created_time"`
	ID                int    `json:"id"`
	SellerID          int    `json:"seller_id"`
	Status            int    `json:"status"`
	StoreName         string `json:"store_name"`
	UpdatedTime       int    `json:"updated_time"`
	BrandStartTime    int    `json:"brand_start_time"`
	BrandEndTime      int    `json:"brand_end_time"`
	IsDel       	  int    `json:"is_del"`
	LastCheckTime     int    `json:"last_check_time"`
	LastCheckContent  string `json:"last_check_content"`
}

